Subject: [bug#55005] [PATCH 04/13] gnu: Add ghc-githash

From: Thomas Albers Raviola <[email-masked]>
Date: Mon, 18 Apr 2022 20:35:11 +0200

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Thomas Albers via Guix-patches via schreef op ma 18-04-2022 om 20:09
> [+0200]:
>> ---
>>  gnu/packages/haskell-xyz.scm | 25 +++++++++++++++++++++++++
>>  1 file changed, 25 insertions(+)
>
> A commit message is mising.
>
You're right. Not only for that package, but for all in the series. I
was convinced 'git send-email' would add them automatically like it
usually does. Is there a command line option for this that I am missing?
>> diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
>> index 18baf7b2f8..314209f573 100644
>> --- a/gnu/packages/haskell-xyz.scm
>> +++ b/gnu/packages/haskell-xyz.scm
>> @@ -16179,3 +16179,28 @@ (define-public ghc-sqlite-simple
>>      (description
>>       "Mid-level SQLite client library, based on postgresql-simple.")
>>      (license license:bsd-3)))
>> +
>> +(define-public ghc-githash
>> +  (package
>> +    (name "ghc-githash")
>> +    (version "0.1.6.2")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri (string-append
>> +             "https://hackage.haskell.org/package/githash/githash-"
>> +             version
>> +             ".tar.gz"))
>
> I would Put 'version' and ".tar.gz" on one line here.
>
>> +       (sha256
>> +        (base32 "1vkwc7j71vdrxy01vlm6xfp16kam7m9bnj9y3h217fzhq5mjywhz"))))
>> +    (build-system haskell-build-system)
>> +    (outputs '("out" "static"))
>
> What are the static libraries for?
>
I am myself no sure. They are generated in the build process, so I
thought to add them.
>> +    (arguments `(#:tests? #f))
>
> Why are they disabled?
>
Tests attempt to write to the read-only file-system. I'll add a comment
explaining this.

Is there a way to correct patches without having to send all over again?
Is it possible to fix the mistakes by adding more patches to the series
on top of the existing ones?

Greetings,
Thomas